<!-- Auto-generated from JSON by GDScript docs maker. Do not edit this document directly. -->

# transition.gd

**Extends:** [ColorRect](../ColorRect)

## Description

A transition player for scene changes
FIXME Add configuration to select a specific mask

## Property Descriptions

### transition\_name

```gdscript
export var transition_name: String = ""
```

## Method Descriptions

### fade\_out

```gdscript
func fade_out() -> var
```

Fade out the transition

### fade\_in

```gdscript
func fade_in() -> var
```

Fade in the transition

## Signals

- signal transition_done(): Emitted when the transition was player
